<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "waiting_room_guest_queue".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "WaitingRoomGuestQueue".
 *
 * Columns in table "waiting_room_guest_queue" available as properties of the model,
 * followed by relations of table "waiting_room_guest_queue" available as properties of the model.
 *
 * @property integer $id
 * @property integer $waiting_room_queue_id
 * @property integer $waiting_room_guest_id
 * @property string $date_added
 * @property string $date_updated
 * @property string $guest_connected
 * @property string $guest_disconnected
 *
 * @property WaitingRoomGuest $waitingRoomGuest
 * @property WaitingRoomQueue $waitingRoomQueue
 */
abstract class BaseWaitingRoomGuestQueue extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'waiting_room_guest_queue';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'WaitingRoomGuestQueue|WaitingRoomGuestQueues', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('waiting_room_queue_id, waiting_room_guest_id', 'numerical', 'integerOnly' => true),
            array('date_added, date_updated, guest_connected, guest_disconnected', 'safe'),
            array('waiting_room_guest_id, waiting_room_queue_id, date_added, date_updated, guest_connected,
                guest_disconnected', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, waiting_room_guest_id, waiting_room_queue_id, date_added, date_updated, guest_connected,
                guest_disconnected', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'waitingRoomGuest' => array(self::BELONGS_TO, 'WaitingRoomGuest', 'waiting_room_guest_id'),
            'waitingRoomQueue' => array(self::BELONGS_TO, 'WaitingRoomQueue', 'waiting_room_queue_id'),
        );
    }

    public function pivotModels()
    {
        return array();
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'waiting_room_guest_id' => null,
            'waiting_room_queue_id' => null,
            'date_added' => Yii::t('app', 'Date Added'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'guest_connected' => Yii::t('app', 'Guest Connected'),
            'guest_disconnected' => Yii::t('app', 'Guest Disconnected'),
            'waitingRoomGuest' => null,
            'waitingRoomQueue' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('waiting_room_guest_id', $this->waiting_room_guest_id);
        $criteria->compare('waiting_room_queue_id', $this->waiting_room_queue_id);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_updated', $this->date_updated, true);
        $criteria->compare('guest_connected', $this->guest_connected, true);
        $criteria->compare('guest_disconnected', $this->guest_disconnected, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }
}
